Package com.emc.documentum.rest.dfc

# Enum Class BasicType

java.lang.Object
java.lang.Enum<BasicType>
com.emc.documentum.rest.dfc.BasicType

All Implemented Interfaces:
  `Serializable`, `Comparable<BasicType>`, `Constable`

public enum BasicType extends Enum<BasicType>
A list of basic types defined for REST API.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACL`
  Type dm_acl, representing `AclObject`
  `ASPECT_TYPE`
  Type dmc_aspect_type, representing `AspectTypeObject`
  `BWS`
  Type dm_bws, representing `BWSObject`
  `CABINET`
  Type dm_cabinet, representing `CabinetObject`
  `DOCUMENT`
  Type dm_document, representing `DocumentObject`
  `FOLDER`
  Type dm_folder, representing `FolderObject`
  `FORMAT`
  Type dm_format, representing `Format`
  `GROUP`
  Type dm_group, representing `GroupObject`
  `NETWORK_LOCATION`
  Type dm_network_location_map, representing `NetworkLocation`
  `RELATION`
  Type dm_relation, representing `RelationObject`
  `RELATION_TYPE`
  Type dm_relation_type, representing `RelationTypeObject`
  `SYS_OBJECT`
  Type dm_sysobject, representing `SysObject`
  `UNKNOWN`
  Unknown type; default is `PersistentObject`
  `USER`
  Type dm_user, representing `UserObject`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<? extends com.documentum.fc.client.IDfPersistentObject>`
  `dfcClassType()`
  FOR INTERNAL USE.
  `static BasicType`
  `fromDfType(int type)`
  Get the basic type from a df type number.
  `static BasicType`
  `fromValue(String type)`
  Get the basic type from a string value.
  `boolean`
  `isInstanceOf(com.documentum.fc.client.IDfPersistentObject object)`
  `Class<? extends PersistentObject>`
  `modelClassType()`
  FOR INTERNAL USE.
  `String`
  `modelName()`
  FOR INTERNAL USE.
  `static BasicType`
  `ofType(String type)`
  Figure out the basic type a type belongs to namely, if the type specified is a basic type or a subtype of a basic type, the basic type will be returned
  `String`
  `value()`
  Get basic type value.
  `static BasicType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BasicType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final BasicType UNKNOWN
    Unknown type; default is `PersistentObject`

  - ### CABINET

    public static final BasicType CABINET
    Type dm_cabinet, representing `CabinetObject`

  - ### DOCUMENT

    public static final BasicType DOCUMENT
    Type dm_document, representing `DocumentObject`

  - ### FOLDER

    public static final BasicType FOLDER
    Type dm_folder, representing `FolderObject`

  - ### SYS_OBJECT

    public static final BasicType SYS_OBJECT
    Type dm_sysobject, representing `SysObject`

  - ### RELATION

    public static final BasicType RELATION
    Type dm_relation, representing `RelationObject`

  - ### RELATION_TYPE

    public static final BasicType RELATION_TYPE
    Type dm_relation_type, representing `RelationTypeObject`

  - ### FORMAT

    public static final BasicType FORMAT
    Type dm_format, representing `Format`

  - ### NETWORK_LOCATION

    public static final BasicType NETWORK_LOCATION
    Type dm_network_location_map, representing `NetworkLocation`

  - ### ASPECT_TYPE

    public static final BasicType ASPECT_TYPE
    Type dmc_aspect_type, representing `AspectTypeObject`

  - ### USER

    public static final BasicType USER
    Type dm_user, representing `UserObject`

  - ### GROUP

    public static final BasicType GROUP
    Type dm_group, representing `GroupObject`

  - ### ACL

    public static final BasicType ACL
    Type dm_acl, representing `AclObject`

  - ### BWS

    public static final BasicType BWS
    Type dm_bws, representing `BWSObject`

- ## Method Details

  - ### values

    public static BasicType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BasicType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ofType

    public static BasicType ofType(String type)
    Figure out the basic type a type belongs to namely, if the type specified is a basic type or a subtype of a basic type, the basic type will be returned
    Parameters:
      `type` - the type name
    Returns:
      a kind of basic type defined, if the type specified is not known to be a basic type, UNKNOWN will be returned

  - ### value

    public String value()
    Get basic type value.
    Returns:
      the type value

  - ### modelClassType

    public Class<? extends PersistentObject> modelClassType()
    FOR INTERNAL USE.
    Returns:
      the model class name

  - ### dfcClassType

    public Class<? extends com.documentum.fc.client.IDfPersistentObject> dfcClassType()
    FOR INTERNAL USE.
    Returns:
      the dfc persistence class name

  - ### modelName

    public String modelName()
    FOR INTERNAL USE.
    Returns:
      the model name

  - ### isInstanceOf

    public boolean isInstanceOf(com.documentum.fc.client.IDfPersistentObject object) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`

  - ### fromValue

    public static BasicType fromValue(String type)
    Get the basic type from a string value.
    Parameters:
      `type` - the Documentum object type name
    Returns:
      the basic type

  - ### fromDfType

    public static BasicType fromDfType(int type)
    Get the basic type from a df type number.
    Parameters:
      `type` - the df type number
    Returns:
      the basic type